Loading...
Searching...
No Matches
gx_system::JsonException Class Reference

`#include <gx_json.h>`

Inheritance diagram for gx_system::JsonException:

## Public Member Functions

| JsonException (const Glib::ustring &desc)
| ~JsonException () throw ()
virtual const char * | what () const throw ()

## Protected Attributes

Glib::ustring | what_str

## Detailed Description

Definition at line 40 of file gx_json.h.

## Constructor & Destructor Documentation

## JsonException()

gx_system::JsonException::JsonException | ( | const Glib::ustring & | desc | ) |

Referenced by gx_system::JsonExceptionEOF::JsonExceptionEOF().

## ~JsonException()

gx_system::JsonException::~JsonException | ( |  | ) |
throw | ( | ) |  |  |

inline

Definition at line 45 of file gx_json.h.

## Member Function Documentation

## what()

virtual const char * gx_system::JsonException::what | ( |  | ) | const
throw | ( | ) |  |  |

inline virtual

Definition at line 46 of file gx_json.h.

## Member Data Documentation

## what_str

Glib::ustring gx_system::JsonException::what_str

protected

Definition at line 42 of file gx_json.h.

Referenced by what().

The documentation for this class was generated from the following file:

- src/headers/gx_json.h